# stored at a remote repository to be used in `secrets` analyzer tests
title = "synthesized via a git or a url passthrough"

# we only store one rule here because `git` and `url` passthroughs' tests are checking
# if a stripe api key is found, while a `glptt` token will no longer be detected as
# we replace the default ruleset configuration with the content of this file here.
[[rules]]
id = "Stripe"
description = "Stripe"
regex = '''(?i)(?:sk|pk)_(?:test|live)_[0-9a-z]{10,32}'''
keywords = [
    "sk_test",
    "pk_test",
    "sk_live",
    "pk_live",
]
